# Workflows

Workflows are where data transformation and analysis happens on Redivis. All workflows are owned by users, and are made up of source datasets, transforms, notebooks, and their output tables. Workflows may be shared with other users, though the underlying access to data in workflows is always governed by dataset access rules.

These endpoints all for the enumeration of workflows and for getting a workflow's metadata.

{% hint style="warning" %}
Workflows were previously referred to as "Projects" on Redivis. Existing code that utilized the "project" terminology will continue to work (e.g., list workflows at `/api/v1/users/<name>/projects`).&#x20;

However, we encourage users to migrate their code to prevent future issues and confusion.
{% endhint %}

{% hint style="info" %}
These endpoints assume you have familiarity with this API's [Authorization](/api/rest-api/authorization.md) and [Resource Reference ](/api/referencing-resources.md)paradigms.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/workflows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
